﻿@model Pl.Models.FullSummary

@using (Ajax.BeginForm("AddSummary", "Summary", new AjaxOptions() { UpdateTargetId = "SummaryCreationId", HttpMethod = "POST" }, new { @class = "control-label col-md-2 w-75 d-flex justify-content-center" }))
{
<div class="w-100 d-flex justify-content-center flex-column">
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    <div class="mb-3">
        @Html.LabelFor(model => model.Summary.PositionId, "Select Position", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
        <div class="col-md-10 w-100">
            <select class="form-select form-select-lg mb-3" name="Summary.PositionId" required>
                @foreach (var item in Model.Positions)
                {
                    if (Model.Summary?.PositionId == item.Id)
                    {
                        <option value="@item.Id" selected>@item.Name</option>
                    }
                    else
                    {
                        <option value="@item.Id">@item.Name</option>
                    }
                }
            </select>
        </div>
    </div>

    <div class="mb-3">
        @Html.LabelFor(model => model.Summary.Description, "Description", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
        <div class="col-md-10 w-100">
            @Html.TextAreaFor(model => model.Summary.Description, new { @class = "form-control w-100 text-area-feed" })
            @Html.ValidationMessageFor(model => model.Summary.Description, "", new { @class = "text-danger" })
        </div>
    </div>
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Educations</h2>
    </div>

    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#educationModal">
        Add Education
    </button>

    <!-- Modal -->
    <div class="modal fade" id="educationModal" tabindex="-1" aria-labelledby="educationModal" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="educationModal">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="AjaxEduFormId">
                    <p>Entered data will not be saved</p>
                    <div>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                        @Html.ActionLink("Continue", "AddEducation", "Education", null, new { @class = "btn btn-primary" })
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="w-100" id="AttachEducationToSummaryId">
        @{Html.RenderPartial("~/Views/Education/AttachEducationToSummaryPartialAjax.cshtml", (Model.Educations, Model.EducationIds));}
    </div>
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Work Experiences</h2>
    </div>

    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#workModal">
        Add Work Experience
    </button>

    <!-- Modal -->
    <div class="modal fade" id="workModal" tabindex="-1" aria-labelledby="workModal" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="workModal">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>Entered data will not be saved</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                    @Html.ActionLink("Continue", "AddWorkExperience", "WorkExperience", null, new { @class = "btn btn-primary" })
                </div>
            </div>
        </div>
    </div>

    <div class="w-100 mb-2" id="AttachWorkExperienceToSummaryId">
        @{ Html.RenderPartial("~/Views/WorkExperience/AttachWorkExperienceToSummaryPartialAjax.cshtml", (Model.WorkExperiences, Model.WorkExperienceIds)); }
    </div>

    <div class="d-flex justify-content-center mb-2">
        <button type="submit" class="btn btn-primary d-flex">Create</button>
    </div>
</div>
}